#include "ps5/error_response.h"

error_response::error_response(int code, string msg) {
    error_code = code;
    error_message = msg;
}

int error_response::code() {
    return error_code;
}

void error_response::body(ostream &o) {
    o << error_message;
}

bool error_response::body_length(int &len) {
    len = error_message.length();
    return true;
}

